package com.ghy.message.config;

import cn.jmessage.api.JMessageClient;
import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @author clunt
 * 极光消息配置文件
 */
@Configuration
@ConfigurationProperties(prefix = "jim")
public class JimConfig {

    private String appKey;

    private String masterSecret;

    private String maxRetryTimes;

    public String getAppKey() {
        return appKey;
    }

    public void setAppKey(String appKey) {
        this.appKey = appKey;
    }

    public String getMasterSecret() {
        return masterSecret;
    }

    public void setMasterSecret(String masterSecret) {
        this.masterSecret = masterSecret;
    }

    public String getMaxRetryTimes() {
        return maxRetryTimes;
    }

    public void setMaxRetryTimes(String maxRetryTimes) {
        this.maxRetryTimes = maxRetryTimes;
    }

//    @Bean
//    public JMessageClient jMessageClient(){
//        return new JMessageClient(appKey,masterSecret,maxRetryTimes);
//    }

}
